Ptex

Public Member Functions | Public Attributes | List of all members
Header Struct Reference

`#include <PtexIO.h>`

## Public Member Functions
int | pixelSize () const
bool | hasAlpha () const

## Public Attributes
uint32_t | magic
uint32_t | version
uint32_t | meshtype
uint32_t | datatype
int32_t | alphachan
uint16_t | nchannels
uint16_t | nlevels
uint32_t | nfaces
uint32_t | extheadersize
uint32_t | faceinfosize
uint32_t | constdatasize
uint32_t | levelinfosize
uint32_t | minorversion
uint64_t | leveldatasize
uint32_t | metadatazipsize
uint32_t | metadatamemsize

## Detailed Description

Definition at line 44 of file PtexIO.h.

## Member Function Documentation

## ◆ hasAlpha()

bool Header::hasAlpha | ( |  | ) | const
| inline

Definition at line 62 of file PtexIO.h.

References alphachan, and nchannels.

## ◆ pixelSize()

int Header::pixelSize | ( |  | ) | const
| inline

Definition at line 61 of file PtexIO.h.

References datatype, and nchannels.

## Member Data Documentation

## ◆ alphachan

int32_t Header::alphachan

Definition at line 49 of file PtexIO.h.

Referenced by hasAlpha().

## ◆ constdatasize

uint32_t Header::constdatasize

Definition at line 55 of file PtexIO.h.

## ◆ datatype

uint32_t Header::datatype

Definition at line 48 of file PtexIO.h.

Referenced by pixelSize().

## ◆ extheadersize

uint32_t Header::extheadersize

Definition at line 53 of file PtexIO.h.

Referenced by PtexReader::reopenFP().

## ◆ faceinfosize

uint32_t Header::faceinfosize

Definition at line 54 of file PtexIO.h.

## ◆ leveldatasize

uint64_t Header::leveldatasize

Definition at line 58 of file PtexIO.h.

## ◆ levelinfosize

uint32_t Header::levelinfosize

Definition at line 56 of file PtexIO.h.

## ◆ magic

uint32_t Header::magic

Definition at line 45 of file PtexIO.h.

## ◆ meshtype

uint32_t Header::meshtype

Definition at line 47 of file PtexIO.h.

Referenced by PtexReader::TiledFaceBase::reduce().

## ◆ metadatamemsize

uint32_t Header::metadatamemsize

Definition at line 60 of file PtexIO.h.

## ◆ metadatazipsize

uint32_t Header::metadatazipsize

Definition at line 59 of file PtexIO.h.

## ◆ minorversion

uint32_t Header::minorversion

Definition at line 57 of file PtexIO.h.

## ◆ nchannels

uint16_t Header::nchannels

Definition at line 50 of file PtexIO.h.

Referenced by hasAlpha(), and pixelSize().

## ◆ nfaces

uint32_t Header::nfaces

Definition at line 52 of file PtexIO.h.

## ◆ nlevels

uint16_t Header::nlevels

Definition at line 51 of file PtexIO.h.

## ◆ version

uint32_t Header::version

Definition at line 46 of file PtexIO.h.

The documentation for this struct was generated from the following file:

- PtexIO.h